Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008232opensim[REGION] Physics Enginespublic2017-08-17 07:262017-09-20 06:12
ReporterGavin Hird 
Assigned ToRobert Adams 
PrioritynormalSeverityminorReproducibilityN/A
StatusassignedResolutionopen 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0008232: Updated BulletSim dylib for macOS (OS X) Universal build
DescriptionThe BulletSim dylib for macOS has been updated with the latest code changes (committed Aug 15).

The library has been compiled as a fat binary with both 32 and 64 bit support with Xcode 7.3, the OS X 10.11 SDK and O3 optimization.

The library loads as expected with the mono --arch=64 flag. (The only thing preventing OpenSim running on 64-bit mono on macOS is libopenjpeg-dotnet.dylib that needs to be rebuilt universal).

lipo -info libBulletSim.dylib
Architectures in the fat file: libBulletSim.dylib are: i386 x86_64

A copy of the library should be placed in both bin/lib32 and bin/lib64
Steps To ReproduceI made minor changes to the makefile to built Universal and with O3 optimization - Makefile enclosed

I made a copy of the buildBulletCMake.sh as buildBullet64CMake.sh for the universal build, but the changes are so minor they can easily be merged into the original buildBulletCMake.sh - This file also enclosed.

Otherwise there are no changes to the code itself to make it compile.
Additional InformationThe Sandbox at grid.xmir.org:8002:Sandbox is on the new version.
TagsNo tags attached.
Git Revision or version number
Run ModeStandalone (1 Region) , Standalone (Multiple Regions) , Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
Physics EngineBulletSim
EnvironmentMono / OSX
Mono Versiontrunk
Viewer
Attached Files? file icon buildBullet64CMake.sh [^] (2,200 bytes) 2017-08-17 07:30
? file icon Makefile [^] (1,854 bytes) 2017-08-17 07:30 [Show Content]
? file icon buildBullet3-64CMake.sh [^] (2,483 bytes) 2017-08-18 01:13
? file icon libBulletSim.dylib [^] (2,243,876 bytes) 2017-09-20 06:11

- Relationships

-  Notes
(0032255)
Robert Adams (administrator)
2017-08-17 13:14

Gavin: I noticed that you didn't have the additional CMake settings in your buildBullet64CMake.sh. Did you not need the -DBUILD_BULLET2_DEMOS=off, etc for compiling for macOS?
(0032256)
Gavin Hird (reporter)
2017-08-17 13:31

No, not unless there is new code I am unaware of?

What was built were the libraries as you left them in 2015, and then with the new commit of Aug 15 added.

Of course if there has been changes to the library code, that needs to be built.
(0032257)
Robert Adams (administrator)
2017-08-17 13:41

You didn't pull the latest Bullet physics engine? The new version of Bullet needed some additional CMake parameters.
The build scripts expect the Bullet sources in the 'bullet-2' directory.
(0032258)
Gavin Hird (reporter)
2017-08-17 13:44

No I didn't because you have been given the impression there has been no progress since 2015, and this was just a minor adjustment. :-))

Please let me know where to pull the code from. and I'll have a go at it in the morning.
(0032259)
Robert Adams (administrator)
2017-08-17 13:54

You are correct that there were few functional differences between Bullet v2.82 and v2.86. The version 3 GPU collision engine is half there but OpenSimulator would probably not notice the difference.

If you want to update the sources, they can be cloned from https://github.com/bulletphysics/bullet3 [^] .

I'll add the change the buildBulletCMake.sh file with the new CMake parameters so it matches the instructions in BUILD.TXT.
(0032260)
Gavin Hird (reporter)
2017-08-18 01:15
edited on: 2017-08-18 01:16

Uploaded a new version of the library built with the bullet3 sources.
The corresponding Cmake also uploaded

This is also a universal build that must be placed in both bin/lib32 and bin/lib64

I had to delete the original build as Mantis does not handle versions of the same filename.

(0032302)
Gavin Hird (reporter)
2017-09-20 06:12
edited on: 2017-09-20 06:13

Uploaded an update with the raycast filtering change applied.

As before, a copy of the library should be placed in both bin/lib32 and bin/lib64


- Issue History
Date Modified Username Field Change
2017-08-17 07:26 Gavin Hird New Issue
2017-08-17 07:26 Gavin Hird File Added: libBulletSim.dylib
2017-08-17 07:29 Gavin Hird Status new => patch feedback
2017-08-17 07:29 Gavin Hird Steps to Reproduce Updated View Revisions
2017-08-17 07:30 Gavin Hird File Added: buildBullet64CMake.sh
2017-08-17 07:30 Gavin Hird File Added: Makefile
2017-08-17 07:32 Gavin Hird Additional Information Updated View Revisions
2017-08-17 07:34 Gavin Hird Status patch feedback => patch included
2017-08-17 13:14 Robert Adams Note Added: 0032255
2017-08-17 13:15 Robert Adams Assigned To => Robert Adams
2017-08-17 13:15 Robert Adams Status patch included => assigned
2017-08-17 13:31 Gavin Hird Note Added: 0032256
2017-08-17 13:41 Robert Adams Note Added: 0032257
2017-08-17 13:44 Gavin Hird Note Added: 0032258
2017-08-17 13:54 Robert Adams Note Added: 0032259
2017-08-18 01:12 Gavin Hird File Added: libBullet3Sim.dylib
2017-08-18 01:12 Gavin Hird File Deleted: libBullet3Sim.dylib
2017-08-18 01:12 Gavin Hird File Deleted: libBulletSim.dylib
2017-08-18 01:13 Gavin Hird File Added: libBulletSim.dylib
2017-08-18 01:13 Gavin Hird File Added: buildBullet3-64CMake.sh
2017-08-18 01:15 Gavin Hird Note Added: 0032260
2017-08-18 01:16 Gavin Hird Note Edited: 0032260 View Revisions
2017-09-20 06:11 Gavin Hird File Deleted: libBulletSim.dylib
2017-09-20 06:11 Gavin Hird File Added: libBulletSim.dylib
2017-09-20 06:12 Gavin Hird Note Added: 0032302
2017-09-20 06:13 Gavin Hird Note Edited: 0032302 View Revisions
2017-09-20 06:13 Gavin Hird Note Edited: 0032302 View Revisions


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker